> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Numbers



## OpenAPI

````yaml api-reference/openapi-payments.json GET /invoice_account_number
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Payments
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /invoice_account_number:
    get:
      tags:
        - Invoice Account Number
      summary: List Account Numbers
      parameters:
        - description: ID of the account with which the object is associated. Filterable.
          in: query
          name: account_id
          schema:
            type: string
        - description: >-
            Flag indicating whether payments with this account number will post.
            Defaults to `true`. Filterable.
          in: query
          name: active
          schema:
            type: boolean
        - description: Tags associated with the object. Filterable.
          in: query
          name: tags
          schema:
            items:
              type: string
            type: array
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_id: acct_1234567890
                        account_number: '1234567890'
                        active: true
                        bank_id: bank_treasuryprime
                        id: acctnum_1234567890
                        org_id: org_1234567890
                        tags: []
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_id:
                          description: >-
                            ID of the account with which the object is
                            associated. Filterable.
                          type: string
                        account_number:
                          description: Account number for use with incoming payments
                          type: string
                        active:
                          description: >-
                            Flag indicating whether payments with this account
                            number will post. Defaults to `true`. Filterable.
                          type: boolean
                        bank_id:
                          description: ID of the bank with which the object is associated
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        org_id:
                          description: >-
                            ID of the organization with which the object is
                            associated
                          type: string
                        tags:
                          description: Tags associated with the object. Filterable.
                          items:
                            type: string
                          type: array
                        userdata:
                          description: Arbitrary data the user can attach to the object
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` invoice_account_number elements, starting after the
            invoice_account_number described by `page_cursor`. If no more
            invoice_account_numbers are available, the resulting list will be
            empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````